Extract Object
Integriraj
bria/extract-object
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/extract-object?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "yellow hammer"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/extract-object?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "yellow hammer"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "yellow hammer",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/extract-object", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/hr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/extract-object",
"input": {
"prompt": "yellow hammer"
}
}
Pozovite model Extract Object (bria/extract-object) putem Doitong API-ja. Dokumentacija za agente: https://doitong.com/hr/developers/models/bria/extract-object.md
POST https://api.doitong.com/v1/run/bria/extract-object?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "yellow hammer"
}
Ako je status odgovora "queued" ili "running", dohvaćajte GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 dok ne bude "succeeded"; datoteke se nalaze u outputs[].url. POST https://api.doitong.com/v1/quote/bria/extract-object s istim tijelom vraća točnu cijenu prije pokretanja.
Ovaj zahtjev: 0,02 $ 20 API kredita Pokreni na ovoj stranici
Vaš novi API ključ. Prikazuje se samo sada i već je u kodu i u polju za API ključ u nastavku. Čuvajte ga kao tajnu: nikad ga nemojte stavljati u kod koji se izvršava u pregledniku.
Vaš prvi rezultat bit će ovdje
Izradite zahtjev u nastavku i pokrenite ga svojim API ključem. Izlazi se kopiraju u našu pohranu i čuvaju zauvijek ili 7 dana besplatno.
Izradi zahtjev
Kontrole se generiraju iz sheme modela. Kôd i cijena ažuriraju se dok ih mijenjate.
/run/bria/extract-object?wait=20
cijena → 0,02 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/extract-object?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "yellow hammer"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/extract-object?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "yellow hammer"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "yellow hammer",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/extract-object", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/extract-object",
"input": {
"prompt": "yellow hammer"
},
"wait_seconds": 20
}
}
}
Pokreni ovaj zahtjev
Vaš ključ ostaje u ovom pregledniku: šalje se samo Doitong API-ju i sprema u localStorage samo ako označite Zapamti. Nabavite API ključ
O modelu Extract Object
Pronalaži objekt opisan u parametru `prompt` unutar slike s adrese `image_url` i vraća ga na prozirnoj pozadini zajedno s maskom segmentacije. `autocrop` sužava platno na objekt. `remove_background` poboljšava rub izreza uklanjanjem pozadine umjesto oslanjanja samo na masku segmentacije. Ako nema podudaranja, vraća se cijela ulazna slika.
Parametri
Pošaljite kanonski naziv ili izvorni naziv, ne oba. Kanonski nazivi
image_urlneobavezno
image
promptneobavezno
autocropneobavezno
remove_backgroundneobavezno
Parametri datoteka prihvaćaju javni https:// URL, data: URI do 10 MB ili file_url prenesene datoteke. Datoteke
Izlaz
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/extract-object",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 20,
"usd": "0.02",
"charged": 20,
"refunded": 0
},
"input": {
"prompt": "yellow hammer"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"mask": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Polja izlaza
- image
- object {url, content_type, file_name, file_size, width, height}Potpuna izvorna slika ako prompt ne pronađe odgovarajući objekt; u suprotnom RGBA rezultat s izdvojenim objektom okruženim prozirnošću.
- mask
- object {url, content_type, file_name, file_size, width, height}Maska izdvajanja čiji rezervni rezultat bez podudaranja ovisi o ulazu: RGBA slike daju svoj alfa-kanal, dok sve ostale slike stvaraju potpuno bijelu masku.
Druge varijante modela Bria
Više modela: Uređivanje slika
Za AI agente: ova je stranica u Markdownu dostupna na https://doitong.com/hr/developers/models/bria/extract-object.md. Svi modeli i vodiči: https://doitong.com/developers/llms.txt






